%define __libtoolize    /bin/true
%define __cputoolize    /bin/true

%define name gtk-qt-engine
%define version 0.7
%define release 0.20050303.2mdk


Summary: Allow GTK to use Qt widget styles
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}.tar.bz2
License: GPL
Group: Graphical desktop/Other
Url: http://www.freedesktop.org/Software/gtk-qt
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: gtk2-devel, qt3-devel, kdebase-devel, gtk+-devel
BuildRequires: autoconf2.5, automake1.8

%description
The GTK-Qt Theme Engine is a project allowing GTK to use Qt widget styles. 


It behaves like a normal GTK theme engine, but calls functions from Qt 
instead of doing the drawing itself.

%prep
%setup -q -n %{name}

%build
mv -f src/README ./
make -f Makefile.cvs

%ifarch amd64
%configure --disable-rpath --enable-final --enable-libsuffix=64
%else
%configure --disable-rpath --enable-final
%endif

%make

%install
rm -rf %{buildroot}
%makeinstall_std

perl -pi -e 's|section="([^"]+)"|section="System/Configuration/KDE/LookNFeel"|' %{buildroot}/%{_menudir}/kcmgtk.menu
perl -pi -e "s|local.kcmgtk|%{name}|" %{buildroot}/%{_menudir}/kcmgtk.menu
perl -pi -e "s|kcmshell kcmgtk|kcmshell \"GTK styles and fonts\"|" %{buildroot}/%{_datadir}/applnk/Settings/LookNFeel/kcmgtk.desktop %{buildroot}%{_datadir}/applications/kcmgtk-xdg.desktop
perl -pi -e "s|kcmshell kcmgtk|kcmshell 'GTK styles and fonts'|" %{buildroot}/%{_menudir}/kcmgtk.menu
mv %{buildroot}/%{_menudir}/kcmgtk.menu %{buildroot}/%{_menudir}/%{name}

%find_lang gtkqtengine

%post 
%{update_menus} 

%postun 
%{clean_menus}

%clean
rm -rf %{buildroot}

%files -f gtkqtengine.lang
%defattr(-,root,root)
%doc README
%{_datadir}/applications/kcmgtk-xdg.desktop
%{_datadir}/applnk/Settings/LookNFeel/kcmgtk.desktop
%{_datadir}/gtk-qt-engine/kde-index.theme
%{_datadir}/themes/Qt/gtk-2.0/gtkrc
%{_menudir}/%{name}
%{_libdir}/kde3/*
%{_libdir}/gtk-2.0/2.4.0/engines/*

%changelog
* Thu Mar 17 2005 Nicolas Lcureuil <neoclust@mandrake.org> 0.7-0.20050303.2mdk
- Fix compile For arch64 From trem

* Thu Mar 03 2005 Couriousous <couriousous@mandrake.org> 0.7-0.20050303.1mdk
- Sync with cvs ( fix #14064 )

* Mon Jan 31 2005 Couriousous <couriousous@mandrake.org> 0.7-0.20050131.1mdk
- Sync with cvs
- Take some fix from Pascal Billery-Schneider <sagittarius@jabber.org> spec

* Sun Jan 30 2005 Couriousous <couriousous@mandrake.org> 0.6-1mdk
- First Mandrakelinux release
